<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Package index • rdb.report</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Package index"><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb.report</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9016</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb-report.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb.report/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-index">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Package index</h1>
    </div>

    <div class="section level2">
      <h2 id="paths">Paths<a class="anchor" aria-label="anchor" href="#paths"></a></h2>




    </div><div class="section level2">




      <dl><dt>

          <code><a href="is_pkg_repo.html">is_pkg_repo()</a></code>

        </dt>
        <dd>Test whether path is within this package's repository</dd>
      </dl><dl><dt>

          <code><a href="path_pkg_repo.html">path_pkg_repo()</a></code>

        </dt>
        <dd>Construct a path to a location within this package's repository</dd>
      </dl><dl><dt>

          <code><a href="path_report_img.html">path_report_img()</a></code>

        </dt>
        <dd>Get static report image path</dd>
      </dl></div><div class="section level2">
      <h2 id="data">Data<a class="anchor" aria-label="anchor" href="#data"></a></h2>




    </div><div class="section level2">




      <dl><dt>

          <code><a href="dataset.html">dataset()</a></code>

        </dt>
        <dd>Tailor RDB dataset</dd>
      </dl></div><div class="section level2">

      <h3 id="augmentation">Augmentation<a class="anchor" aria-label="anchor" href="#augmentation"></a></h3>



    </div><div class="section level2">




      <dl><dt>

          <code><a href="add_democracy_waves.html">add_democracy_waves()</a></code>

        </dt>
        <dd>Add waves of democracy to referendum data</dd>
      </dl><dl><dt>

          <code><a href="add_era.html">add_era()</a></code>

        </dt>
        <dd>Add geopolitical era to referendum data</dd>
      </dl></div><div class="section level2">
      <h2 id="plots">Plots<a class="anchor" aria-label="anchor" href="#plots"></a></h2>




    </div><div class="section level2">

      <h3 id="bar-charts">Bar charts<a class="anchor" aria-label="anchor" href="#bar-charts"></a></h3>



    </div><div class="section level2">




      <dl><dt>

          <code><a href="plot_histogram_rfrnds.html">plot_histogram_rfrnds()</a></code>

        </dt>
        <dd>Referendums histogram</dd>
      </dl></div><div class="section level2">

      <h3 id="styling-and-helpers">Styling and helpers<a class="anchor" aria-label="anchor" href="#styling-and-helpers"></a></h3>



    </div><div class="section level2">




      <dl><dt>

          <code><a href="label_percent.html">label_percent()</a></code>

        </dt>
        <dd>Label percentages</dd>
      </dl><dl><dt>

          <code><a href="percent.html">percent()</a></code>

        </dt>
        <dd>Label number as percentage</dd>
      </dl><dl><dt>

          <code><a href="plotly_mod.html">plotly_mod()</a></code>

        </dt>
        <dd>Apply common layout and config to Plotly chart</dd>
      </dl></div><div class="section level2">
      <h2 id="tables">Tables<a class="anchor" aria-label="anchor" href="#tables"></a></h2>




    </div><div class="section level2">




      <dl><dt>

          <code><a href="gt_opts.html">gt_opts()</a></code>

        </dt>
        <dd>Apply common table output options to gt table</dd>
      </dl><dl><dt>

          <code><a href="extract_gt_css.html">extract_gt_css()</a></code>

        </dt>
        <dd>Extract CSS from gt table</dd>
      </dl></div><div class="section level2">
      <h2 id="pre-assembled-input-files">Pre-assembled input files<a class="anchor" aria-label="anchor" href="#pre-assembled-input-files"></a></h2>




    </div><div class="section level2">




      <dl><dt>

          <code><a href="preassemble.html">preassemble()</a></code>

        </dt>
        <dd>Update pre-assembled input files</dd>
      </dl><dl><dt>

          <code><a href="ls_objs.html">ls_objs()</a></code>

        </dt>
        <dd>List pre-assembled <span style="R">R</span> objects</dd>
      </dl><dl><dt>

          <code><a href="load_obj.html">load_obj()</a></code>

        </dt>
        <dd>Load pre-assembled <span style="R">R</span> object</dd>
      </dl><dl><dt>

          <code><a href="insert_gt.html">insert_gt()</a></code>

        </dt>
        <dd>Insert pre-assembled gt table</dd>
      </dl><dl><dt>

          <code><a href="insert_plotly.html">insert_plotly()</a></code>

        </dt>
        <dd>Insert pre-assembled Plotly chart</dd>
      </dl></div><div class="section level2">
      <h2 id="report">Report<a class="anchor" aria-label="anchor" href="#report"></a></h2>




    </div><div class="section level2">

      <h3 id="content">Content<a class="anchor" aria-label="anchor" href="#content"></a></h3>



    </div><div class="section level2">




      <dl><dt>

          <code><a href="report_render.html">report_render()</a></code>

        </dt>
        <dd>Render report</dd>
      </dl><dl><dt>

          <code><a href="report_render_partly.html">report_render_partly()</a></code>

        </dt>
        <dd>Render report partly</dd>
      </dl><dl><dt>

          <code><a href="report_view.html">report_view()</a></code>

        </dt>
        <dd>View report</dd>
      </dl><dl><dt>

          <code><a href="report_gen_part_regional.html">report_gen_part_regional()</a></code>

        </dt>
        <dd>Generate report's regional analysis part</dd>
      </dl></div><div class="section level2">

      <h3 id="configuration">Configuration<a class="anchor" aria-label="anchor" href="#configuration"></a></h3>



    </div><div class="section level2">




      <dl><dt>

          <code><a href="report_quarto_config.html">report_quarto_config()</a></code>

        </dt>
        <dd>Get report's Quarto configuration</dd>
      </dl><dl><dt>

          <code><a href="report_quarto_config_check.html">report_quarto_config_check()</a></code>

        </dt>
        <dd>Check report's Quarto configuration for consistency</dd>
      </dl><dl><dt>

          <code><a href="report_quarto_profiles.html">report_quarto_profiles()</a></code>

        </dt>
        <dd>List report's Quarto profiles</dd>
      </dl><dl><dt>

          <code><a href="report_year.html">report_year()</a></code>

        </dt>
        <dd>Get report's publication year</dd>
      </dl><dl><dt>

          <code><a href="report_year_max.html">report_year_max()</a></code>

        </dt>
        <dd>Get latest report publication year</dd>
      </dl></div><div class="section level2">

      <h3 id="dependency-management">Dependency management<a class="anchor" aria-label="anchor" href="#dependency-management"></a></h3>
      <div class="section-desc"><p>Convenience functions for the report’s <a href="https://rstudio.github.io/renv/articles/renv.html" class="external-link">renv</a>-based project-local R dependency management.</p></div>


    </div><div class="section level2">




      <dl><dt>

          <code><a href="report_renv_update.html">report_renv_update()</a></code>

        </dt>
        <dd>Update all of report's renv package records</dd>
      </dl><dl><dt>

          <code><a href="report_renv_upgrade.html">report_renv_upgrade()</a></code>

        </dt>
        <dd>Upgrade report's renv</dd>
      </dl><dl><dt>

          <code><a href="report_renv_repair.html">report_renv_repair()</a></code>

        </dt>
        <dd>Repair report's renv library</dd>
      </dl></div><div class="section level2">

      <h3 id="assets">Assets<a class="anchor" aria-label="anchor" href="#assets"></a></h3>



    </div><div class="section level2">




      <dl><dt>

          <code><a href="report_update_bib.html">report_update_bib()</a></code>

        </dt>
        <dd>Update bibliography file</dd>
      </dl><dl><dt>

          <code><a href="report_update_csl.html">report_update_csl()</a></code>

        </dt>
        <dd>Update CSL file</dd>
      </dl></div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

